Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class MessagingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthenticationFailedException, FolderClosedException, FolderNotFoundException, IllegalWriteException, MessageRemovedException, MethodNotSupportedException, NoSuchProviderException, ParseException, ReadOnlyFolderException, SearchException, SendFailedException, StoreClosedException

public class MessagingException
extends java.lang.Exception

The base class for all exceptions thrown by the Messaging classes

Author:
  John Mani, Bill Shannon
See Also:
  Serialized Form

Constructor Summary
`MessagingException()` Constructs a MessagingException with no detail message.
`MessagingException(java.lang.String s)` Constructs a MessagingException with the specified detail message.
`MessagingException(java.lang.String s, java.lang.Exception e)` Constructs a MessagingException with the specified Exception and detail message.

Method Summary
`java.lang.String` | `getMessage()` Produce the message, include the message from the nested exception if there is one.
`java.lang.Exception` | `getNextException()` Get the next exception chained to this one.
`boolean` | `setNextException(java.lang.Exception ex)` Add an exception to the end of the chain.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagingException

    public MessagingException()

  Constructs a MessagingException with no detail message.

### MessagingException

    public MessagingException(java.lang.String s)

  Constructs a MessagingException with the specified detail message.

Parameters:
  `s` - the detail message

### MessagingException

    public MessagingException(java.lang.String s,
                              java.lang.Exception e)

  Constructs a MessagingException with the specified Exception and detail message. The specified exception is chained to this exception.

Parameters:
  `s` - the detail message
  `e` - the embedded exception
See Also:
  `getNextException()`, `setNextException(java.lang.Exception)`

Method Detail

### getNextException

    public java.lang.Exception getNextException()

  Get the next exception chained to this one. If the next exception is a MessagingException, the chain may extend further.

  Returns:
    next Exception, null if none.

### setNextException

    public boolean setNextException(java.lang.Exception ex)

  Add an exception to the end of the chain. If the end is not a MessagingException, this exception cannot be added to the end.

  Parameters:
    `ex` - the new end of the Exception chain
  Returns:
    `true` if the this Exception was added, `false` otherwise.

### getMessage

    public java.lang.String getMessage()

  Produce the message, include the message from the nested exception if there is one.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.